<template>
   <div>
    <div v-for="(item, index) in info.customerHandoverDetailDtoList">
      <div> 客户编号{{index + 1}}：{{item.customerNumber}} 客户名称{{index + 1}}：{{item.customerName}} </div>
      <div>就客户经理{{index + 1}}：{{item.oldCustomerServiceName || '-'}}</div>
    </div>
     <div>
        申请理由：{{info.reason}}
     </div>
   </div>
</template>

<script>
import { handoverApprovalDetails} from "@/api/ecw/customer";

export default {
  name: "customer-handover-details",
  props: {
    processId: {
      type: [Number, String],
    },
    type: String,
  },
  data(){
  return {
    info:{
      customerHandoverDetailDtoList:[]
    }
  }
  },
  mounted() {
   this.handoverApprovalFn()
    },
  methods:{
    handoverApprovalFn(){
      handoverApprovalDetails({approvalId:this.processId}).then(r =>{
        console.log(r,'rrr')
        this.info =r.data
      })
    }
  }
}
</script>

<style scoped>

</style>
